default got_candles = False
default pentagram_choice = 0

label tutorial_2_door:
    $ pink.otm.go_to_map(target_map='tutorial room 1.json', x_coord=4, y_coord=3)

label tutorial_pentagram_event:
    $ pink.otm.start_dynamic_event()
    if not (got_candles and got_book):
        """The Ritual Circle stands ready for the great ritual to summon The Button.

        To perform the ritual, you must first find the implements of the King in Bronze, said to be found somewhere within this dungeon."""

    elif pentagram_choice == 0:
        """The quest has been long and arduous, but its completion now lies close at hand. """
        menu:
            "For what purpose do you seek the button?"
            "To better the lives of all mankind!":
                $ pentagram_choice = 1
                $ tutorial_room2_pentagram.stand_animation = "on"
            "To obtain power and riches!":
                $ pentagram_choice = 2
                $ tutorial_room2_pentagram.stand_animation = "evil"
    elif pentagram_choice == 1:
        menu:
            "The candles of Ahzikkar glow brightly with noble purpose."
            "Douse the candles":
                $ pentagram_choice = 0
                $ tutorial_room2_pentagram.stand_animation = "smoke"
            "Do nothing":
                pass
    elif pentagram_choice == 2:
        menu:
            "The candles of Ahzikkar glow with unnatural light, and the voice of X'zanthorik whispers from his forbidden tome."
            "Douse the candles":
                $ pentagram_choice = 0
                $ tutorial_room2_pentagram.stand_animation = "smoke"
            "Do nothing":
                pass
    $ pink.otm.end_dynamic_event()

label tutorial_npc_event:
    $ pink.otm.start_dynamic_event()
    "Scarred scholar" """Hail, Hero. I heard tales of your epic quest for that most sacred of artifacts.

    Know that to call upon the button, you must first mind the legendary artifacts of the King in Bronze. I know only
    that they are found somewhere within this brick-born labyrinth.

    I have spent years studying this library in the hopes of uncovering their location, but have made little progress.
    Maybe you will have more success."""
    $ pink.otm.end_dynamic_event()

label tutorial_box_2:
    $ pink.otm.start_dynamic_event()
    """Sealed within the strongbox, you find an accursed tome.

    Created by the King in Bronze, once named Ahzikkar, in the Age before Ages, forged from the shattered souls of the
    gods of old, these candles represent the rejection of the natural order and the birth of artifice.

    They were used in the creation of The Button, and are a vital component for calling forth its power."""
    $ got_candles = True
    $ pink.otm.end_dynamic_event()
